- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# TXPIO.cpp File Reference

`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/Output>`
`#include <osgDB/WriteFile>`
`#include <osg/ref_ptr>`
`#include <iostream>`
`#include "TXPNode.h"`

Include dependency graph for TXPIO.cpp:

## Functions
bool | TXPNode_readLocalData (osg::Object &obj, osgDB::Input &fr)
bool | TXPNode_writeLocalData (const osg::Object &obj, osgDB::Output &fw)
## Variables
osgDB::RegisterDotOsgWrapperProxy | TXPNode_Proxy (new txp::TXPNode,"TXPNode","Object Node TXPNode", TXPNode_readLocalData, TXPNode_writeLocalData)

## Function Documentation

bool TXPNode_readLocalData | ( | osg::Object & | obj,
|  | osgDB::Input & | fr
| ) |

bool TXPNode_writeLocalData | ( | const osg::Object & | obj,
|  | osgDB::Output & | fw
| ) |

## Variable Documentation

osgDB::RegisterDotOsgWrapperProxy TXPNode_Proxy(new txp::TXPNode,"TXPNode","Object Node TXPNode", TXPNode_readLocalData, TXPNode_writeLocalData)